al_is_haptic_effect_ok(3)

NAME

al_is_haptic_effect_ok - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_is_haptic_effect_ok(ALLEGRO_HAPTIC *hap, ALLEGRO_HAPTIC_EFFECT *effect)

DESCRIPTION

Returns true if the haptic device can play the haptic effect as given, false if not. The haptic effect must have been filled in completely and correctly.

SINCE

5.1.8

    [Unstable API]: Perhaps could be simplified due to limited support for all the exposed features across all of the platforms. Awaiting feedback from users.